List matches
curl --request GET \
--url https://core-api.adipredictstreet.com/api/matchesimport requests
url = "https://core-api.adipredictstreet.com/api/matches"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://core-api.adipredictstreet.com/api/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matches": [
"<unknown>"
]
}Matches
List matches
Returns all currently READY matches (the admin.matches aggregate that groups several events into a single ‘card’ — e.g. ‘BRA vs ARG’ wraps the 1X2 event + first-scorer event + over-under event). Each match nests its child events with their public-status markets. Empty matches (no public-status market on any child event) are filtered out.
GET
/
api
/
matches
List matches
Query Parameters
Available options:
group, r32, r16, quarter_finals, semi_finals, third_place, final Single tag slug, exact match.
ISO-8601 lower bound on match.startTime.
ISO-8601 upper bound on match.startTime.
Response
200 - application/json
OK